com.lowagie.text.pdf

## Class PdfWriter.PdfTrailer

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfWriter.PdfTrailer

Enclosing class:
  PdfWriter

    static class PdfWriter.PdfTrailer
    extends PdfDictionary

`PdfTrailer` is the PDF Trailer object.

This object is described in the 'Portable Document Format Reference Manual version 1.3' section 5.16 (page 59-60).

### Field Summary

Fields
`(package private) int` `offset`

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfWriter.PdfTrailer(int size, int offset, PdfIndirectReference root, PdfIndirectReference info, PdfIndirectReference encryption, PdfObject fileID, int prevxref)` Constructs a PDF-Trailer.

### Method Summary

Methods
`void` `toPdf(PdfWriter writer, java.io.OutputStream os)` Returns the PDF representation of this `PdfObject`.

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### offset

    int offset

### Constructor Detail

#### PdfWriter.PdfTrailer

    PdfWriter.PdfTrailer(int size,
                        int offset,
                        PdfIndirectReference root,
                        PdfIndirectReference info,
                        PdfIndirectReference encryption,
                        PdfObject fileID,
                        int prevxref)

Constructs a PDF-Trailer.

Parameters:
  `size` - the number of entries in the `PdfCrossReferenceTable`
  `offset` - offset of the `PdfCrossReferenceTable`
  `root` - an indirect reference to the root of the PDF document
  `info` - an indirect reference to the info object of the PDF document
  `encryption` -
  `fileID` -
  `prevxref` -

### Method Detail

#### toPdf

    public void toPdf(PdfWriter writer,
             java.io.OutputStream os)
               throws java.io.IOException

Returns the PDF representation of this `PdfObject`.

Overrides:
  `toPdf` in class `PdfDictionary`
Parameters:
  `writer` -
  `os` -
Throws:
  `java.io.IOException`